package com.zcloud.service.eightwork.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.eightwork.EightWorkVideoManagerMapper;
import com.zcloud.service.eightwork.EightWorkVideoManagerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：盲板作业
 * 作者：luoxiaobao
 * 时间：2021-08-23
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class EightWorkVideoManagerServiceImpl implements EightWorkVideoManagerService {

	@Autowired
	private EightWorkVideoManagerMapper eightworkvideomanagerMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		eightworkvideomanagerMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		eightworkvideomanagerMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		eightworkvideomanagerMapper.edit(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void editStatus(PageData pd)throws Exception{
		eightworkvideomanagerMapper.editStatus(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return eightworkvideomanagerMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return eightworkvideomanagerMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return eightworkvideomanagerMapper.findById(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		eightworkvideomanagerMapper.deleteAll(ArrayDATA_IDS);
	}



}

